summaryrefslogtreecommitdiffstats
path: root/.local/bin
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin')
-rwxr-xr-x.local/bin/ifinstalled6
-rwxr-xr-x[-rw-r--r--].local/bin/noisereduce6
2 files changed, 7 insertions, 5 deletions
diff --git a/.local/bin/ifinstalled b/.local/bin/ifinstalled
index be3ac24..7a53b18 100755
--- a/.local/bin/ifinstalled
+++ b/.local/bin/ifinstalled
@@ -6,6 +6,8 @@
# various other scripts for clarity's sake.
for x in "$@";do
- pacman -Qq "$x" >/dev/null 2>&1 ||
- { notify-send "📦 $x" "must be installed for this function." && exit 1 ;}
+ notify() { notify-send "📦 $x" "must be installed for this function." && exit 1 ;}
+ which_out="$( /usr/bin/which "$x" >/dev/null 2>&1 )" && exit 0 #you might have compiled the prog, and not install the repo pkg...
+ pkgname="$(pacman -Qqo "$which_out" >/dev/null 2>&1 )" #...thats why two variables.
+ pacman -Qq "$pkgname" >/dev/null 2>&1 || notify
done
diff --git a/.local/bin/noisereduce b/.local/bin/noisereduce
index 8d9598c..c344760 100644..100755
--- a/.local/bin/noisereduce
+++ b/.local/bin/noisereduce
@@ -7,8 +7,8 @@ usage ()
}
# Tests for requirements
-ffmpeg -version >/dev/null || { echo >&2 "We require 'ffmpeg' but it's not installed. Install it by 'sudo apt-get install ffmpeg' Aborting."; exit 1; }
-sox --version >/dev/null || { echo >&2 "We require 'sox' but it's not installed. Install it by 'sudo apt-get install sox' Aborting."; exit 1; }
+ifinstalled ffmpeg || { echo >&2 "We require 'ffmpeg' but it's not installed."; exit 1; }
+ifinstalled sox || { echo >&2 "We require 'ffmpeg' but it's not installed."; exit 1; }
if [ "$#" -ne 2 ]
then
@@ -50,7 +50,7 @@ if [ -z "$sampleStart" ] ; then sampleStart="00:00:00"; fi
printf "Sample noise end time [00:00:00.900]: "
read -r sampleEnd
if [ -z "$sampleEnd" ] ; then sampleEnd="00:00:00.900"; fi
-printf "Noise reduction amount [0.21]: "
+printf "Noise reduction amount [0.21]: "
read -r sensitivity
if [ -z "$sensitivity" ] ; then sensitivity="0.21"; fi